<div id="feedback-{{ learning_resource.id }}" class="feedback-container">
    <div class="feedback-button-container">
        <button class="like-button {% if user_resource_feedback and user_resource_feedback.feedback_type == 'like' %}clicked{% endif %}" aria-label="Like" hx-post="/feedback/learning-resource" hx-target="#feedback-{{ learning_resource.id }}" hx-swap="outerHTML" hx-vals='{"resource_id": "{{ learning_resource.id }}", "feedback_type": "like"}'>
            <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 -960 960 960" width="24px" class="feedback-svg"><path d="M720-120H280v-520l280-280 50 50q7 7 11.5 19t4.5 23v14l-44 174h258q32 0 56 24t24 56v80q0 7-2 15t-4 15L794-168q-9 20-30 34t-44 14Zm-360-80h360l120-280v-80H480l54-220-174 174v406Zm0-406v406-406Zm-80-34v80H160v360h120v80H80v-520h200Z"/></svg>
        </button>
        <span class="feedback-count" title="Likes: {{ learning_resource.likes_count|default('0', true) }}">
            {{ learning_resource.likes_count|default('0', true) }}
        </span>
    </div>
    <div class="feedback-button-container">
        <button class="dislike-button {% if user_resource_feedback and user_resource_feedback.feedback_type == 'dislike' %}clicked{% endif %}" aria-label="Dislike" hx-post="/feedback/learning-resource" hx-target="#feedback-{{ learning_resource.id }}" hx-swap="outerHTML" hx-vals='{"resource_id": "{{ learning_resource.id }}", "feedback_type": "dislike"}'>
            <svg xmlns="http://www.w3.org/2000/svg" height="24px" viewBox="0 -960 960 960" width="24px" class="feedback-svg"><path d="M240-840h440v520L400-40l-50-50q-7-7-11.5-19t-4.5-23v-14l44-174H120q-32 0-56-24t-24-56v-80q0-7 2-15t4-15l120-282q9-20 30-34t44-14Zm360 80H240L120-480v80h360l-54 220 174-174v-406Zm0 406v-406 406Zm80 34v-80h120v-360H680v-80h200v520H680Z"/></svg>
        </button>
        <span class="feedback-count" title="Dislikes: {{ learning_resource.dislikes_count|default('0', true) }}">
            {{ learning_resource.dislikes_count|default('0', true) }}
        </span>
    </div>
</div>

